#ifndef DEPTTASKFORM_H
#define DEPTTASKFORM_H

#include <QWidget>
#include <QListView>

#include "dao/service/SysLocalService.h"
#include "dao/service/TaskService.h"
#include "utils/ProMemory.h"
#include "utils/utilsInclude.h"

namespace Ui {
class DeptTaskForm;
}

class DeptTaskForm : public QWidget
{
    Q_OBJECT

public:
    explicit DeptTaskForm(QWidget *parent = nullptr);
    ~DeptTaskForm();

protected:
    void showEvent(QShowEvent * event) override;
    void resizeEvent(QResizeEvent * event) override;

private:
    Ui::DeptTaskForm *ui;
    Page page;

    void initForm();
    void initFormTable();

    void initMeasureStatusSelect();
    void initUrgentSelect();

private slots:
    void getDeptTaskList(int currPage);
    void on_btnQuery_clicked();
    void on_btnResetQuery_clicked();
};

#endif // DEPTTASKFORM_H
